Сенсорная панель действует в 14.04 на MSI CR70 2M

Я не знаю, правильно ли я делаю это (или в нужном месте). Это первый раз, когда я сообщаю об ошибке.

У меня тревожная ошибка. Моя сенсорная панель левой кнопкой (постукивание и механическая) перестает работать иногда. Кажется, он связан с щелчком и перетаскиванием и / или щелчком правой кнопки мыши. Выйдите из системы и ответьте на эту проблему. У меня есть контроль над щелчком левой кнопкой мыши (хотя механический щелчок когда-то не работает).

Мой ноутбук – MSI CR70 2M – французская клавиатура. Тачпад распознается как тачпад Elantech.

Я уже попробовал какое-то решение, но ничего не работает. У меня есть файл журнала: evtest-xev – xinput – xmodmap – Xorg.log (я следил за https://wiki.ubuntu.com/DebuggingTouchpadDetection )

Я не знаю, где можно публиковать файл журнала. Может ли кто-нибудь меня вести?

Большое спасибо за работу, проделанную для Ubuntu.

С Уважением,

Yodhur

На данный момент проблема решена, и патч был перенесен в основной поток. Вы можете подписаться на xorg-edgers для получения последних обновлений и, следовательно, немедленного решения. Вот команды, если вы хотите добавить их:

 sudo apt-add-repository ppa:xorg-edgers/ppa sudo apt-get update sudo apt-get upgrade 

[БЫСТРОЕ РЕШЕНИЕ] Если вы не можете дождаться официального релиза, я быстро применил этот патч к xorg-xserver-1.16.1 64 xorg-xserver-1.16.1 битной версии, и он решил проблему. Если у вас есть другая архитектура, выполните следующие действия , в противном случае выполните следующие действия:

  1. Загрузите архив здесь .
  2. Запустите эти команды в терминале:

     cd Downloads tar -xvf Patched\ XServer\ 1.16.1.tar.gz cd Patched\ XServer sudo dpkg -i xdmx_1.16.0-1ubuntu1_amd64.deb xdmx-tools_1.16.0-1ubuntu1_amd64.deb xnest_1.16.0-1ubuntu1_amd64.deb xorg-server-source_1.16.0-1ubuntu1_all.deb xserver-common_1.16.0-1ubuntu1_all.deb xserver-xephyr_1.16.0-1ubuntu1_amd64.deb xserver-xorg-core_1.16.0-1ubuntu1_amd64.deb xserver-xorg-core-dbg_1.16.0-1ubuntu1_amd64.deb xserver-xorg-dev_1.16.0-1ubuntu1_amd64.deb xserver-xorg-xmir_1.16.0-1ubuntu1_amd64.deb xvfb_1.16.0-1ubuntu1_amd64.deb xwayland_1.16.0-1ubuntu1_amd64.deb 

[ВАЖНО]: это решение будет официально объявлено в PPA в предстоящем выпуске, поэтому, если вы прочли этот пост задолго до даты публикации, просто обновите xorg, как упоминалось ранее, и это решит вашу проблему.